!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1171)
  integer, parameter :: nGC_1039 = 1
  integer, parameter :: nGC_206 = 2
  integer, parameter :: nGC_83 = 3
  integer, parameter :: nGC_478 = 4
  integer, parameter :: nGC_471 = 5
  integer, parameter :: nGC_496 = 6
  integer, parameter :: nGC_495 = 7
  integer, parameter :: nGC_MZ_GF = 8
  integer, parameter :: nGC_559 = 9
  integer, parameter :: nGC_557 = 10
  integer, parameter :: nGC_556 = 11
  integer, parameter :: nGC_555 = 12
  integer, parameter :: nGC_554 = 13
  integer, parameter :: nGC_553 = 14
  integer, parameter :: nGC_450 = 15
  integer, parameter :: nGC_551 = 16
  integer, parameter :: nGC_550 = 17
  integer, parameter :: nGC_28 = 18
  integer, parameter :: nGC_29 = 19
  integer, parameter :: nGC_66 = 20
  integer, parameter :: nGC_22 = 21
  integer, parameter :: nGC_23 = 22
  integer, parameter :: nGC_20 = 23
  integer, parameter :: nGC_21 = 24
  integer, parameter :: nGC_26 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_24 = 27
  integer, parameter :: nGC_25 = 28
  integer, parameter :: nGC_150 = 29
  integer, parameter :: nGC_GG = 30
  integer, parameter :: nGC_592 = 31
  integer, parameter :: nGC_14 = 32
  integer, parameter :: nGC_1141 = 33
  integer, parameter :: nGC_1142 = 34
  integer, parameter :: nGC_1143 = 35
  integer, parameter :: nGC_320 = 36
  integer, parameter :: nGC_126 = 37
  integer, parameter :: nGC_127 = 38
  integer, parameter :: nGC_124 = 39
  integer, parameter :: nGC_125 = 40
  integer, parameter :: nGC_122 = 41
  integer, parameter :: nGC_651 = 42
  integer, parameter :: nGC_120 = 43
  integer, parameter :: nGC_121 = 44
  integer, parameter :: nGC_128 = 45
  integer, parameter :: nGC_129 = 46
  integer, parameter :: nGC_628 = 47
  integer, parameter :: nGC_MMW_GF = 48
  integer, parameter :: nGC_85 = 49
  integer, parameter :: nGC_67 = 50
  integer, parameter :: nGC_654 = 51
  integer, parameter :: nGC_1251 = 52
  integer, parameter :: nGC_466 = 53
  integer, parameter :: nGC_I = 54
  integer, parameter :: nGC_1043 = 55
  integer, parameter :: nGC_1045 = 56
  integer, parameter :: nGC_1044 = 57
  integer, parameter :: nGC_1046 = 58
  integer, parameter :: nGC_65 = 59
  integer, parameter :: nGC_1041 = 60
  integer, parameter :: nGC_1040 = 61
  integer, parameter :: nGC_MD = 62
  integer, parameter :: nGC_1042 = 63
  integer, parameter :: nGC_236 = 64
  integer, parameter :: nGC_3 = 65
  integer, parameter :: nGC_2 = 66
  integer, parameter :: nGC_1 = 67
  integer, parameter :: nGC_7 = 68
  integer, parameter :: nGC_6 = 69
  integer, parameter :: nGC_5 = 70
  integer, parameter :: nGC_4 = 71
  integer, parameter :: nGC_584 = 72
  integer, parameter :: nGC_585 = 73
  integer, parameter :: nGC_9 = 74
  integer, parameter :: nGC_8 = 75
  integer, parameter :: nGC_1219 = 76
  integer, parameter :: nGC_583 = 77
  integer, parameter :: nGC_1049 = 78
  integer, parameter :: nGC_1048 = 79
  integer, parameter :: nGC_49 = 80
  integer, parameter :: nGC_566 = 81
  integer, parameter :: nGC_17 = 82
  integer, parameter :: nGC_562 = 83
  integer, parameter :: nGC_563 = 84
  integer, parameter :: nGC_560 = 85
  integer, parameter :: nGC_16 = 86
  integer, parameter :: nGC_607 = 87
  integer, parameter :: nGC_606 = 88
  integer, parameter :: nGC_605 = 89
  integer, parameter :: nGC_604 = 90
  integer, parameter :: nGC_603 = 91
  integer, parameter :: nGC_602 = 92
  integer, parameter :: nGC_601 = 93
  integer, parameter :: nGC_569 = 94
  integer, parameter :: nGC_53 = 95
  integer, parameter :: nGC_52 = 96
  integer, parameter :: nGC_51 = 97
  integer, parameter :: nGC_50 = 98
  integer, parameter :: nGC_57 = 99
  integer, parameter :: nGC_56 = 100
  integer, parameter :: nGC_55 = 101
  integer, parameter :: nGC_54 = 102
  integer, parameter :: nGC_13 = 103
  integer, parameter :: nGC_59 = 104
  integer, parameter :: nGC_58 = 105
  integer, parameter :: nGC_12 = 106
  integer, parameter :: nGC_483 = 107
  integer, parameter :: nGC_10 = 108
  integer, parameter :: nGC_MI = 109
  integer, parameter :: nGC_698 = 110
  integer, parameter :: nGC_699 = 111
  integer, parameter :: nGC_690 = 112
  integer, parameter :: nGC_691 = 113
  integer, parameter :: nGC_692 = 114
  integer, parameter :: nGC_696 = 115
  integer, parameter :: nGC_697 = 116
  integer, parameter :: nGC_1139 = 117
  integer, parameter :: nGC_1138 = 118
  integer, parameter :: nGC_ME = 119
  integer, parameter :: nGC_1131 = 120
  integer, parameter :: nGC_1130 = 121
  integer, parameter :: nGC_1133 = 122
  integer, parameter :: nGC_1132 = 123
  integer, parameter :: nGC_1135 = 124
  integer, parameter :: nGC_1134 = 125
  integer, parameter :: nGC_1137 = 126
  integer, parameter :: nGC_1136 = 127
  integer, parameter :: nGC_MZ = 128
  integer, parameter :: nGC_60 = 129
  integer, parameter :: nGC_1418 = 130
  integer, parameter :: nGC_1416 = 131
  integer, parameter :: nGC_MW = 132
  integer, parameter :: nGC_MU = 133
  integer, parameter :: nGC_MT = 134
  integer, parameter :: nGC_468 = 135
  integer, parameter :: nGC_1314 = 136
  integer, parameter :: nGC_1319 = 137
  integer, parameter :: nGC_465 = 138
  integer, parameter :: nGC_1057 = 139
  integer, parameter :: nGC_260 = 140
  integer, parameter :: nGC_262 = 141
  integer, parameter :: nGC_485 = 142
  integer, parameter :: nGC_484 = 143
  integer, parameter :: nGC_15 = 144
  integer, parameter :: nGC_486 = 145
  integer, parameter :: nGC_481 = 146
  integer, parameter :: nGC_480 = 147
  integer, parameter :: nGC_11 = 148
  integer, parameter :: nGC_482 = 149
  integer, parameter :: nGC_316 = 150
  integer, parameter :: nGC_489 = 151
  integer, parameter :: nGC_488 = 152
  integer, parameter :: nGC_19 = 153
  integer, parameter :: nGC_18 = 154
  integer, parameter :: nGC_MW_GF = 155
  integer, parameter :: nGC_996 = 156
  integer, parameter :: nGC_995 = 157
  integer, parameter :: nGC_994 = 158
  integer, parameter :: nGC_1333 = 159
  integer, parameter :: nGC_636 = 160
  integer, parameter :: nGC_1214 = 161
  integer, parameter :: nGC_634 = 162
  integer, parameter :: nGC_635 = 163
  integer, parameter :: nGC_1171 = 164
  integer, parameter :: nGC_1128 = 165
  integer, parameter :: nGC_1285 = 166
  integer, parameter :: nGC_135 = 167
  integer, parameter :: nGC_134 = 168
  integer, parameter :: nGC_137 = 169
  integer, parameter :: nGC_136 = 170
  integer, parameter :: nGC_131 = 171
  integer, parameter :: nGC_130 = 172
  integer, parameter :: nGC_133 = 173
  integer, parameter :: nGC_132 = 174
  integer, parameter :: nGC_649 = 175
  integer, parameter :: nGC_648 = 176
  integer, parameter :: nGC_139 = 177
  integer, parameter :: nGC_138 = 178
  integer, parameter :: nGC_1194 = 179
  integer, parameter :: nGC_1453 = 180
  integer, parameter :: nGC_1457 = 181
  integer, parameter :: nGC_1454 = 182
  integer, parameter :: nGC_1455 = 183
  integer, parameter :: nGC_1458 = 184
  integer, parameter :: nGC_1459 = 185
  integer, parameter :: nGC_MH = 186
  integer, parameter :: nGC_632 = 187
  integer, parameter :: nGC_MS = 188
  integer, parameter :: nGC_633 = 189
  integer, parameter :: nGC_1301 = 190
  integer, parameter :: nGC_93 = 191
  integer, parameter :: nGC_735 = 192
  integer, parameter :: nGC_1355 = 193
  integer, parameter :: nGC_1357 = 194
  integer, parameter :: nGC_1298 = 195
  integer, parameter :: nGC_1353 = 196
  integer, parameter :: nGC_1296 = 197
  integer, parameter :: nGC_220 = 198
  integer, parameter :: nGC_1195 = 199
  integer, parameter :: nGC_1193 = 200
  integer, parameter :: nGC_224 = 201
  integer, parameter :: nGC_1058 = 202
  integer, parameter :: nGC_1056 = 203
  integer, parameter :: nGC_HHHH = 204
  integer, parameter :: nGC_1055 = 205
  integer, parameter :: nGC_1052 = 206
  integer, parameter :: nGC_474 = 207
  integer, parameter :: nGC_MM = 208
  integer, parameter :: nGC_475 = 209
  integer, parameter :: nGC_476 = 210
  integer, parameter :: nGC_1277 = 211
  integer, parameter :: nGC_1163 = 212
  integer, parameter :: nGC_477 = 213
  integer, parameter :: nGC_567 = 214
  integer, parameter :: nGC_472 = 215
  integer, parameter :: nGC_473 = 216
  integer, parameter :: nGC_817 = 217
  integer, parameter :: nGC_452 = 218
  integer, parameter :: nGC_453 = 219
  integer, parameter :: nGC_609 = 220
  integer, parameter :: nGC_591 = 221
  integer, parameter :: nGC_294 = 222
  integer, parameter :: nGC_590 = 223
  integer, parameter :: nGC_290 = 224
  integer, parameter :: nGC_318 = 225
  integer, parameter :: nGC_819 = 226
  integer, parameter :: nGC_1074 = 227
  integer, parameter :: nGC_678 = 228
  integer, parameter :: nGC_679 = 229
  integer, parameter :: nGC_570 = 230
  integer, parameter :: nGC_246 = 231
  integer, parameter :: nGC_672 = 232
  integer, parameter :: nGC_673 = 233
  integer, parameter :: nGC_671 = 234
  integer, parameter :: nGC_676 = 235
  integer, parameter :: nGC_677 = 236
  integer, parameter :: nGC_674 = 237
  integer, parameter :: nGC_675 = 238
  integer, parameter :: nGC_244 = 239
  integer, parameter :: nGC_48 = 240
  integer, parameter :: nGC_568 = 241
  integer, parameter :: nGC_44 = 242
  integer, parameter :: nGC_45 = 243
  integer, parameter :: nGC_46 = 244
  integer, parameter :: nGC_47 = 245
  integer, parameter :: nGC_40 = 246
  integer, parameter :: nGC_41 = 247
  integer, parameter :: nGC_42 = 248
  integer, parameter :: nGC_43 = 249
  integer, parameter :: nGC_687 = 250
  integer, parameter :: nGC_1342 = 251
  integer, parameter :: nGC_680 = 252
  integer, parameter :: nGC_608 = 253
  integer, parameter :: nGC_240 = 254
  integer, parameter :: nGC_1340 = 255
  integer, parameter :: nGC_689 = 256
  integer, parameter :: nGC_688 = 257
  integer, parameter :: nGC_324 = 258
  integer, parameter :: nGC_326 = 259
  integer, parameter :: nGC_1346 = 260
  integer, parameter :: nGC_174 = 261
  integer, parameter :: nGC_1347 = 262
  integer, parameter :: nGC_1126 = 263
  integer, parameter :: nGC_1124 = 264
  integer, parameter :: nGC_705 = 265
  integer, parameter :: nGC_700 = 266
  integer, parameter :: nGC_701 = 267
  integer, parameter :: nGC_1084 = 268
  integer, parameter :: nGC_1087 = 269
  integer, parameter :: nGC_708 = 270
  integer, parameter :: nGC_1129 = 271
  integer, parameter :: nGC_322 = 272
  integer, parameter :: nGC_492 = 273
  integer, parameter :: nGC_248 = 274
  integer, parameter :: nGC_643 = 275
  integer, parameter :: nGC_490 = 276
  integer, parameter :: nGC_558 = 277
  integer, parameter :: nGC_469 = 278
  integer, parameter :: nGC_647 = 279
  integer, parameter :: nGC_646 = 280
  integer, parameter :: nGC_645 = 281
  integer, parameter :: nGC_1127 = 282
  integer, parameter :: nGC_821 = 283
  integer, parameter :: nGC_825 = 284
  integer, parameter :: nGC_1013 = 285
  integer, parameter :: nGC_1011 = 286
  integer, parameter :: nGC_1016 = 287
  integer, parameter :: nGC_1015 = 288
  integer, parameter :: nGC_1462 = 289
  integer, parameter :: nGC_1461 = 290
  integer, parameter :: nGC_1467 = 291
  integer, parameter :: nGC_1466 = 292
  integer, parameter :: nGC_1396 = 293
  integer, parameter :: nGC_561 = 294
  integer, parameter :: nGC_1469 = 295
  integer, parameter :: nGC_1023 = 296
  integer, parameter :: nGC_1468 = 297
  integer, parameter :: nGC_GPGMGPGM = 298
  integer, parameter :: nGC_463 = 299
  integer, parameter :: nGC_1265 = 300
  integer, parameter :: nGC_1267 = 301
  integer, parameter :: nGC_1266 = 302
  integer, parameter :: nGC_1261 = 303
  integer, parameter :: nGC_1263 = 304
  integer, parameter :: nGC_855 = 305
  integer, parameter :: nGC_1269 = 306
  integer, parameter :: nGC_1018 = 307
  integer, parameter :: nGC_1066 = 308
  integer, parameter :: nGC_1065 = 309
  integer, parameter :: nGC_1064 = 310
  integer, parameter :: nGC_1063 = 311
  integer, parameter :: nGC_314 = 312
  integer, parameter :: nGC_1309 = 313
  integer, parameter :: nGC_1395 = 314
  integer, parameter :: nGC_1303 = 315
  integer, parameter :: nGC_1069 = 316
  integer, parameter :: nGC_258 = 317
  integer, parameter :: nGC_732 = 318
  integer, parameter :: nGC_1465 = 319
  integer, parameter :: nGC_250 = 320
  integer, parameter :: nGC_252 = 321
  integer, parameter :: nGC_1464 = 322
  integer, parameter :: nGC_254 = 323
  integer, parameter :: nGC_1460 = 324
  integer, parameter :: nGC_531 = 325
  integer, parameter :: nGC_530 = 326
  integer, parameter :: nGC_532 = 327
  integer, parameter :: nGC_600 = 328
  integer, parameter :: nGC_1078 = 329
  integer, parameter :: nGC_1097 = 330
  integer, parameter :: nGC_497 = 331
  integer, parameter :: nGC_99 = 332
  integer, parameter :: nGC_98 = 333
  integer, parameter :: nGC_97 = 334
  integer, parameter :: nGC_96 = 335
  integer, parameter :: nGC_95 = 336
  integer, parameter :: nGC_94 = 337
  integer, parameter :: nGC_92 = 338
  integer, parameter :: nGC_91 = 339
  integer, parameter :: nGC_90 = 340
  integer, parameter :: nGC_625 = 341
  integer, parameter :: nGC_624 = 342
  integer, parameter :: nGC_748 = 343
  integer, parameter :: nGC_621 = 344
  integer, parameter :: nGC_620 = 345
  integer, parameter :: nGC_623 = 346
  integer, parameter :: nGC_622 = 347
  integer, parameter :: nGC_741 = 348
  integer, parameter :: nGC_744 = 349
  integer, parameter :: nGC_75 = 350
  integer, parameter :: nGC_74 = 351
  integer, parameter :: nGC_77 = 352
  integer, parameter :: nGC_76 = 353
  integer, parameter :: nGC_71 = 354
  integer, parameter :: nGC_70 = 355
  integer, parameter :: nGC_73 = 356
  integer, parameter :: nGC_72 = 357
  integer, parameter :: nGC_79 = 358
  integer, parameter :: nGC_78 = 359
  integer, parameter :: nGC_758 = 360
  integer, parameter :: nGC_HHGG = 361
  integer, parameter :: nGC_100 = 362
  integer, parameter :: nGC_101 = 363
  integer, parameter :: nGC_102 = 364
  integer, parameter :: nGC_103 = 365
  integer, parameter :: nGC_104 = 366
  integer, parameter :: nGC_105 = 367
  integer, parameter :: nGC_106 = 368
  integer, parameter :: nGC_107 = 369
  integer, parameter :: nGC_108 = 370
  integer, parameter :: nGC_109 = 371
  integer, parameter :: nGC_1047 = 372
  integer, parameter :: nGC_GGH = 373
  integer, parameter :: nGC_1278 = 374
  integer, parameter :: nGC_588 = 375
  integer, parameter :: nGC_1083 = 376
  integer, parameter :: nGC_232 = 377
  integer, parameter :: nGC_1119 = 378
  integer, parameter :: nGC_1118 = 379
  integer, parameter :: nGC_1117 = 380
  integer, parameter :: nGC_1116 = 381
  integer, parameter :: nGC_1115 = 382
  integer, parameter :: nGC_1111 = 383
  integer, parameter :: nGC_464 = 384
  integer, parameter :: nGC_1204 = 385
  integer, parameter :: nGC_1279 = 386
  integer, parameter :: nGC_589 = 387
  integer, parameter :: nGC_733 = 388
  integer, parameter :: nGC_118 = 389
  integer, parameter :: nGC_1343 = 390
  integer, parameter :: nGC_1140 = 391
  integer, parameter :: nGC_123 = 392
  integer, parameter :: nGC_1434 = 393
  integer, parameter :: nGC_1435 = 394
  integer, parameter :: nGC_1432 = 395
  integer, parameter :: nGC_1433 = 396
  integer, parameter :: nGC_1348 = 397
  integer, parameter :: nGC_1349 = 398
  integer, parameter :: nGC_1438 = 399
  integer, parameter :: nGC_1439 = 400
  integer, parameter :: nGC_491 = 401
  integer, parameter :: nGC_1186 = 402
  integer, parameter :: nGC_1187 = 403
  integer, parameter :: nGC_1181 = 404
  integer, parameter :: nGC_214 = 405
  integer, parameter :: nGC_1022 = 406
  integer, parameter :: nGC_1021 = 407
  integer, parameter :: nGC_210 = 408
  integer, parameter :: nGC_1189 = 409
  integer, parameter :: nGC_1024 = 410
  integer, parameter :: nGC_1341 = 411
  integer, parameter :: nGC_759 = 412
  integer, parameter :: nGC_451 = 413
  integer, parameter :: nGC_80 = 414
  integer, parameter :: nGC_552 = 415
  integer, parameter :: nGC_888 = 416
  integer, parameter :: nGC_1334 = 417
  integer, parameter :: nGC_445 = 418
  integer, parameter :: nGC_444 = 419
  integer, parameter :: nGC_447 = 420
  integer, parameter :: nGC_1330 = 421
  integer, parameter :: nGC_449 = 422
  integer, parameter :: nGC_448 = 423
  integer, parameter :: nGC_446 = 424
  integer, parameter :: nGC_1232 = 425
  integer, parameter :: nGC_280 = 426
  integer, parameter :: nGC_119 = 427
  integer, parameter :: nGC_286 = 428
  integer, parameter :: nGC_487 = 429
  integer, parameter :: nGC_288 = 430
  integer, parameter :: nGC_540 = 431
  integer, parameter :: nGC_541 = 432
  integer, parameter :: nGC_542 = 433
  integer, parameter :: nGC_858 = 434
  integer, parameter :: nGC_546 = 435
  integer, parameter :: nGC_661 = 436
  integer, parameter :: nGC_549 = 437
  integer, parameter :: nGC_1344 = 438
  integer, parameter :: nGC_662 = 439
  integer, parameter :: nGC_665 = 440
  integer, parameter :: nGC_664 = 441
  integer, parameter :: nGC_667 = 442
  integer, parameter :: nGC_666 = 443
  integer, parameter :: nGC_39 = 444
  integer, parameter :: nGC_38 = 445
  integer, parameter :: nGC_1230 = 446
  integer, parameter :: nGC_31 = 447
  integer, parameter :: nGC_33 = 448
  integer, parameter :: nGC_35 = 449
  integer, parameter :: nGC_34 = 450
  integer, parameter :: nGC_37 = 451
  integer, parameter :: nGC_144 = 452
  integer, parameter :: nGC_145 = 453
  integer, parameter :: nGC_146 = 454
  integer, parameter :: nGC_147 = 455
  integer, parameter :: nGC_141 = 456
  integer, parameter :: nGC_142 = 457
  integer, parameter :: nGC_282 = 458
  integer, parameter :: nGC_1345 = 459
  integer, parameter :: nGC_852 = 460
  integer, parameter :: nGC_617 = 461
  integer, parameter :: nGC_148 = 462
  integer, parameter :: nGC_149 = 463
  integer, parameter :: nGC_751 = 464
  integer, parameter :: nGC_750 = 465
  integer, parameter :: nGC_711 = 466
  integer, parameter :: nGC_710 = 467
  integer, parameter :: nGC_712 = 468
  integer, parameter :: nGC_1090 = 469
  integer, parameter :: nGC_1158 = 470
  integer, parameter :: nGC_1094 = 471
  integer, parameter :: nGC_312 = 472
  integer, parameter :: nGC_462 = 473
  integer, parameter :: nGC_456 = 474
  integer, parameter :: nGC_868 = 475
  integer, parameter :: nGC_1062 = 476
  integer, parameter :: nGC_1426 = 477
  integer, parameter :: nGC_586 = 478
  integer, parameter :: nGC_789 = 479
  integer, parameter :: nGC_782 = 480
  integer, parameter :: nGC_MC = 481
  integer, parameter :: nGC_MB = 482
  integer, parameter :: nGC_1420 = 483
  integer, parameter :: nGC_1300 = 484
  integer, parameter :: nGC_1295 = 485
  integer, parameter :: nGC_1471 = 486
  integer, parameter :: nGC_1474 = 487
  integer, parameter :: nGC_479 = 488
  integer, parameter :: nGC_655 = 489
  integer, parameter :: nGC_1359 = 490
  integer, parameter :: nGC_1091 = 491
  integer, parameter :: nGC_547 = 492
  integer, parameter :: nGC_1264 = 493
  integer, parameter :: nGC_656 = 494
  integer, parameter :: nGC_1291 = 495
  integer, parameter :: nGC_548 = 496
  integer, parameter :: nGC_660 = 497
  integer, parameter :: nGC_650 = 498
  integer, parameter :: nGC_1428 = 499
  integer, parameter :: nGC_663 = 500
  integer, parameter :: nGC_652 = 501
  integer, parameter :: nGC_653 = 502
  integer, parameter :: nGC_1272 = 503
  integer, parameter :: nGC_1271 = 504
  integer, parameter :: nGC_848 = 505
  integer, parameter :: nGC_1275 = 506
  integer, parameter :: nGC_841 = 507
  integer, parameter :: nGC_840 = 508
  integer, parameter :: nGC_843 = 509
  integer, parameter :: nGC_859 = 510
  integer, parameter :: nGC_1075 = 511
  integer, parameter :: nGC_1071 = 512
  integer, parameter :: nGC_1072 = 513
  integer, parameter :: nGC_1073 = 514
  integer, parameter :: nGC_1371 = 515
  integer, parameter :: nGC_226 = 516
  integer, parameter :: nGC_1079 = 517
  integer, parameter :: nGC_1374 = 518
  integer, parameter :: nGC_793 = 519
  integer, parameter :: nGC_1068 = 520
  integer, parameter :: nGC_539 = 521
  integer, parameter :: nGC_587 = 522
  integer, parameter :: nGC_310 = 523
  integer, parameter :: nGC_1444 = 524
  integer, parameter :: nGC_MTA = 525
  integer, parameter :: nGC_1050 = 526
  integer, parameter :: nGC_30 = 527
  integer, parameter :: nGC_1051 = 528
  integer, parameter :: nGC_467 = 529
  integer, parameter :: nGC_1206 = 530
  integer, parameter :: nGC_32 = 531
  integer, parameter :: nGC_1203 = 532
  integer, parameter :: nGC_1202 = 533
  integer, parameter :: nGC_1009 = 534
  integer, parameter :: nGC_1442 = 535
  integer, parameter :: nGC_88 = 536
  integer, parameter :: nGC_730 = 537
  integer, parameter :: nGC_89 = 538
  integer, parameter :: nGC_458 = 539
  integer, parameter :: nGC_1393 = 540
  integer, parameter :: nGC_81 = 541
  integer, parameter :: nGC_82 = 542
  integer, parameter :: nGC_36 = 543
  integer, parameter :: nGC_84 = 544
  integer, parameter :: nGC_1076 = 545
  integer, parameter :: nGC_86 = 546
  integer, parameter :: nGC_87 = 547
  integer, parameter :: nGC_610 = 548
  integer, parameter :: nGC_611 = 549
  integer, parameter :: nGC_612 = 550
  integer, parameter :: nGC_613 = 551
  integer, parameter :: nGC_614 = 552
  integer, parameter :: nGC_615 = 553
  integer, parameter :: nGC_616 = 554
  integer, parameter :: nGC_457 = 555
  integer, parameter :: nGC_618 = 556
  integer, parameter :: nGC_619 = 557
  integer, parameter :: nGC_753 = 558
  integer, parameter :: nGC_752 = 559
  integer, parameter :: nGC_755 = 560
  integer, parameter :: nGC_756 = 561
  integer, parameter :: nGC_545 = 562
  integer, parameter :: nGC_1329 = 563
  integer, parameter :: nGC_64 = 564
  integer, parameter :: nGC_644 = 565
  integer, parameter :: nGC_62 = 566
  integer, parameter :: nGC_63 = 567
  integer, parameter :: nGC_1392 = 568
  integer, parameter :: nGC_61 = 569
  integer, parameter :: nGC_140 = 570
  integer, parameter :: nGC_1077 = 571
  integer, parameter :: nGC_1223 = 572
  integer, parameter :: nGC_68 = 573
  integer, parameter :: nGC_69 = 574
  integer, parameter :: nGC_1262 = 575
  integer, parameter :: nGC_706 = 576
  integer, parameter :: nGC_815 = 577
  integer, parameter :: nGC_143 = 578
  integer, parameter :: nGC_HHH = 579
  integer, parameter :: nGC_470 = 580
  integer, parameter :: nGC_501 = 581
  integer, parameter :: nGC_502 = 582
  integer, parameter :: nGC_503 = 583
  integer, parameter :: nGC_117 = 584
  integer, parameter :: nGC_116 = 585
  integer, parameter :: nGC_115 = 586
  integer, parameter :: nGC_114 = 587
  integer, parameter :: nGC_113 = 588
  integer, parameter :: nGC_112 = 589
  integer, parameter :: nGC_111 = 590
  integer, parameter :: nGC_110 = 591
  integer, parameter :: nGC_1108 = 592
  integer, parameter :: nGC_1109 = 593
  integer, parameter :: nGC_1104 = 594
  integer, parameter :: nGC_1105 = 595
  integer, parameter :: nGC_1106 = 596
  integer, parameter :: nGC_1107 = 597
  integer, parameter :: nGC_1100 = 598
  integer, parameter :: nGC_1101 = 599
  integer, parameter :: nGC_1102 = 600
  integer, parameter :: nGC_1103 = 601
  integer, parameter :: nGC_801 = 602
  integer, parameter :: nGC_800 = 603
  integer, parameter :: nGC_802 = 604
  integer, parameter :: nGC_804 = 605
  integer, parameter :: nGC_806 = 606
  integer, parameter :: nGC_809 = 607
  integer, parameter :: nGC_1400 = 608
  integer, parameter :: nGC_1403 = 609
  integer, parameter :: nGC_1402 = 610
  integer, parameter :: nGC_1405 = 611
  integer, parameter :: nGC_1404 = 612
  integer, parameter :: nGC_1407 = 613
  integer, parameter :: nGC_1406 = 614
  integer, parameter :: nGC_1409 = 615
  integer, parameter :: nGC_1038 = 616
  integer, parameter :: nGC_1030 = 617
  integer, parameter :: nGC_1031 = 618
  integer, parameter :: nGC_1032 = 619
  integer, parameter :: nGC_1033 = 620
  integer, parameter :: nGC_1034 = 621
  integer, parameter :: nGC_1035 = 622
  integer, parameter :: nGC_1036 = 623
  integer, parameter :: nGC_1037 = 624
  integer, parameter :: nGC_715 = 625
  integer, parameter :: nGC_714 = 626
  integer, parameter :: nGC_935 = 627
  integer, parameter :: nGC_934 = 628
  integer, parameter :: nGC_933 = 629
  integer, parameter :: nGC_932 = 630
  integer, parameter :: nGC_1325 = 631
  integer, parameter :: nGC_1249 = 632
  integer, parameter :: nGC_1248 = 633
  integer, parameter :: nGC_1320 = 634
  integer, parameter :: nGC_1322 = 635
  integer, parameter :: nGC_1323 = 636
  integer, parameter :: nGC_1243 = 637
  integer, parameter :: nGC_1242 = 638
  integer, parameter :: nGC_1241 = 639
  integer, parameter :: nGC_1240 = 640
  integer, parameter :: nGC_1245 = 641
  integer, parameter :: nGC_1244 = 642
  integer, parameter :: nGC_278 = 643
  integer, parameter :: nGC_276 = 644
  integer, parameter :: nGC_274 = 645
  integer, parameter :: nGC_272 = 646
  integer, parameter :: nGC_270 = 647
  integer, parameter :: nGC_1350 = 648
  integer, parameter :: nGC_983 = 649
  integer, parameter :: nGC_984 = 650
  integer, parameter :: nGC_985 = 651
  integer, parameter :: nGC_986 = 652
  integer, parameter :: nGC_989 = 653
  integer, parameter :: nGC_892 = 654
  integer, parameter :: nGC_893 = 655
  integer, parameter :: nGC_1144 = 656
  integer, parameter :: nGC_1145 = 657
  integer, parameter :: nGC_749 = 658
  integer, parameter :: nGC_799 = 659
  integer, parameter :: nGC_798 = 660
  integer, parameter :: nGC_795 = 661
  integer, parameter :: nGC_797 = 662
  integer, parameter :: nGC_796 = 663
  integer, parameter :: nGC_791 = 664
  integer, parameter :: nGC_790 = 665
  integer, parameter :: nGC_792 = 666
  integer, parameter :: nGC_1445 = 667
  integer, parameter :: nGC_302 = 668
  integer, parameter :: nGC_1447 = 669
  integer, parameter :: nGC_1446 = 670
  integer, parameter :: nGC_1441 = 671
  integer, parameter :: nGC_1440 = 672
  integer, parameter :: nGC_1443 = 673
  integer, parameter :: nGC_746 = 674
  integer, parameter :: nGC_1449 = 675
  integer, parameter :: nGC_747 = 676
  integer, parameter :: nGC_306 = 677
  integer, parameter :: nGC_745 = 678
  integer, parameter :: nGC_304 = 679
  integer, parameter :: nGC_1252 = 680
  integer, parameter :: nGC_970 = 681
  integer, parameter :: nGC_973 = 682
  integer, parameter :: nGC_974 = 683
  integer, parameter :: nGC_976 = 684
  integer, parameter :: nGC_1289 = 685
  integer, parameter :: nGC_1288 = 686
  integer, parameter :: nGC_1287 = 687
  integer, parameter :: nGC_871 = 688
  integer, parameter :: nGC_872 = 689
  integer, parameter :: nGC_1284 = 690
  integer, parameter :: nGC_875 = 691
  integer, parameter :: nGC_1281 = 692
  integer, parameter :: nGC_1368 = 693
  integer, parameter :: nGC_1369 = 694
  integer, parameter :: nGC_230 = 695
  integer, parameter :: nGC_234 = 696
  integer, parameter :: nGC_1283 = 697
  integer, parameter :: nGC_238 = 698
  integer, parameter :: nGC_1363 = 699
  integer, parameter :: nGC_1366 = 700
  integer, parameter :: nGC_1282 = 701
  integer, parameter :: nGC_1280 = 702
  integer, parameter :: nGC_1215 = 703
  integer, parameter :: nGC_1216 = 704
  integer, parameter :: nGC_1217 = 705
  integer, parameter :: nGC_1210 = 706
  integer, parameter :: nGC_1212 = 707
  integer, parameter :: nGC_1213 = 708
  integer, parameter :: nGC_781 = 709
  integer, parameter :: nGC_1362 = 710
  integer, parameter :: nGC_1382 = 711
  integer, parameter :: nGC_1367 = 712
  integer, parameter :: nGC_1480 = 713
  integer, parameter :: nGC_764 = 714
  integer, parameter :: nGC_766 = 715
  integer, parameter :: nGC_767 = 716
  integer, parameter :: nGC_760 = 717
  integer, parameter :: nGC_761 = 718
  integer, parameter :: nGC_762 = 719
  integer, parameter :: nGC_768 = 720
  integer, parameter :: nGC_769 = 721
  integer, parameter :: nGC_834 = 722
  integer, parameter :: nGC_835 = 723
  integer, parameter :: nGC_836 = 724
  integer, parameter :: nGC_837 = 725
  integer, parameter :: nGC_830 = 726
  integer, parameter :: nGC_831 = 727
  integer, parameter :: nGC_832 = 728
  integer, parameter :: nGC_833 = 729
  integer, parameter :: nGC_1415 = 730
  integer, parameter :: nGC_1412 = 731
  integer, parameter :: nGC_1008 = 732
  integer, parameter :: nGC_1410 = 733
  integer, parameter :: nGC_1411 = 734
  integer, parameter :: nGC_870 = 735
  integer, parameter :: nGC_908 = 736
  integer, parameter :: nGC_901 = 737
  integer, parameter :: nGC_902 = 738
  integer, parameter :: nGC_903 = 739
  integer, parameter :: nGC_906 = 740
  integer, parameter :: nGC_907 = 741
  integer, parameter :: nGC_1310 = 742
  integer, parameter :: nGC_300 = 743
  integer, parameter :: nGC_1312 = 744
  integer, parameter :: nGC_1315 = 745
  integer, parameter :: nGC_1317 = 746
  integer, parameter :: nGC_1316 = 747
  integer, parameter :: nGC_1250 = 748
  integer, parameter :: nGC_1318 = 749
  integer, parameter :: nGC_308 = 750
  integer, parameter :: nGC_1253 = 751
  integer, parameter :: nGC_1255 = 752
  integer, parameter :: nGC_1256 = 753
  integer, parameter :: nGC_268 = 754
  integer, parameter :: nGC_264 = 755
  integer, parameter :: nGC_266 = 756
  integer, parameter :: nGC_1122 = 757
  integer, parameter :: nGC_999 = 758
  integer, parameter :: nGC_998 = 759
  integer, parameter :: nGC_997 = 760
  integer, parameter :: nGC_993 = 761
  integer, parameter :: nGC_992 = 762
  integer, parameter :: nGC_991 = 763
  integer, parameter :: nGC_990 = 764
  integer, parameter :: nGC_1286 = 765
  integer, parameter :: nGC_1178 = 766
  integer, parameter :: nGC_738 = 767
  integer, parameter :: nGC_737 = 768
  integer, parameter :: nGC_1174 = 769
  integer, parameter :: nGC_734 = 770
  integer, parameter :: nGC_1170 = 771
  integer, parameter :: nGC_731 = 772
  integer, parameter :: nGC_1172 = 773
  integer, parameter :: nGC_709 = 774
  integer, parameter :: nGC_1452 = 775
  integer, parameter :: nGC_1450 = 776
  integer, parameter :: nGC_1451 = 777
  integer, parameter :: nGC_1456 = 778
  integer, parameter :: nGC_1175 = 779
  integer, parameter :: nGC_736 = 780
  integer, parameter :: nGC_867 = 781
  integer, parameter :: nGC_866 = 782
  integer, parameter :: nGC_865 = 783
  integer, parameter :: nGC_1176 = 784
  integer, parameter :: nGC_863 = 785
  integer, parameter :: nGC_949 = 786
  integer, parameter :: nGC_861 = 787
  integer, parameter :: nGC_860 = 788
  integer, parameter :: nGC_944 = 789
  integer, parameter :: nGC_945 = 790
  integer, parameter :: nGC_946 = 791
  integer, parameter :: nGC_940 = 792
  integer, parameter :: nGC_941 = 793
  integer, parameter :: nGC_943 = 794
  integer, parameter :: nGC_1354 = 795
  integer, parameter :: nGC_1327 = 796
  integer, parameter :: nGC_1351 = 797
  integer, parameter :: nGC_1299 = 798
  integer, parameter :: nGC_1352 = 799
  integer, parameter :: nGC_1294 = 800
  integer, parameter :: nGC_1297 = 801
  integer, parameter :: nGC_1293 = 802
  integer, parameter :: nGC_1196 = 803
  integer, parameter :: nGC_222 = 804
  integer, parameter :: nGC_1191 = 805
  integer, parameter :: nGC_1059 = 806
  integer, parameter :: nGC_228 = 807
  integer, parameter :: nGC_1054 = 808
  integer, parameter :: nGC_1053 = 809
  integer, parameter :: nGC_1199 = 810
  integer, parameter :: nGC_1198 = 811
  integer, parameter :: nGC_1190 = 812
  integer, parameter :: nGC_849 = 813
  integer, parameter :: nGC_1247 = 814
  integer, parameter :: nGC_958 = 815
  integer, parameter :: nGC_1221 = 816
  integer, parameter :: nGC_898 = 817
  integer, parameter :: nGC_899 = 818
  integer, parameter :: nGC_1225 = 819
  integer, parameter :: nGC_1227 = 820
  integer, parameter :: nGC_1226 = 821
  integer, parameter :: nGC_1228 = 822
  integer, parameter :: nGC_890 = 823
  integer, parameter :: nGC_891 = 824
  integer, parameter :: nGC_896 = 825
  integer, parameter :: nGC_897 = 826
  integer, parameter :: nGC_894 = 827
  integer, parameter :: nGC_895 = 828
  integer, parameter :: nGC_296 = 829
  integer, parameter :: nGC_292 = 830
  integer, parameter :: nGC_298 = 831
  integer, parameter :: nGC_951 = 832
  integer, parameter :: nGC_707 = 833
  integer, parameter :: nGC_1089 = 834
  integer, parameter :: nGC_1088 = 835
  integer, parameter :: nGC_1120 = 836
  integer, parameter :: nGC_1121 = 837
  integer, parameter :: nGC_1085 = 838
  integer, parameter :: nGC_1086 = 839
  integer, parameter :: nGC_1081 = 840
  integer, parameter :: nGC_1080 = 841
  integer, parameter :: nGC_1082 = 842
  integer, parameter :: nGC_773 = 843
  integer, parameter :: nGC_772 = 844
  integer, parameter :: nGC_771 = 845
  integer, parameter :: nGC_770 = 846
  integer, parameter :: nGC_777 = 847
  integer, parameter :: nGC_776 = 848
  integer, parameter :: nGC_775 = 849
  integer, parameter :: nGC_774 = 850
  integer, parameter :: nGC_779 = 851
  integer, parameter :: nGC_778 = 852
  integer, parameter :: nGC_829 = 853
  integer, parameter :: nGC_828 = 854
  integer, parameter :: nGC_823 = 855
  integer, parameter :: nGC_822 = 856
  integer, parameter :: nGC_820 = 857
  integer, parameter :: nGC_827 = 858
  integer, parameter :: nGC_826 = 859
  integer, parameter :: nGC_824 = 860
  integer, parameter :: nGC_1012 = 861
  integer, parameter :: nGC_1398 = 862
  integer, parameter :: nGC_1010 = 863
  integer, parameter :: nGC_1017 = 864
  integer, parameter :: nGC_1014 = 865
  integer, parameter :: nGC_1463 = 866
  integer, parameter :: nGC_1390 = 867
  integer, parameter :: nGC_1019 = 868
  integer, parameter :: nGC_1394 = 869
  integer, parameter :: nGC_1397 = 870
  integer, parameter :: nGC_1399 = 871
  integer, parameter :: nGC_917 = 872
  integer, parameter :: nGC_916 = 873
  integer, parameter :: nGC_915 = 874
  integer, parameter :: nGC_914 = 875
  integer, parameter :: nGC_913 = 876
  integer, parameter :: nGC_911 = 877
  integer, parameter :: nGC_910 = 878
  integer, parameter :: nGC_1188 = 879
  integer, parameter :: nGC_919 = 880
  integer, parameter :: nGC_918 = 881
  integer, parameter :: nGC_1391 = 882
  integer, parameter :: nGC_856 = 883
  integer, parameter :: nGC_857 = 884
  integer, parameter :: nGC_854 = 885
  integer, parameter :: nGC_853 = 886
  integer, parameter :: nGC_850 = 887
  integer, parameter :: nGC_851 = 888
  integer, parameter :: nGC_1067 = 889
  integer, parameter :: nGC_1061 = 890
  integer, parameter :: nGC_1060 = 891
  integer, parameter :: nGC_1306 = 892
  integer, parameter :: nGC_1307 = 893
  integer, parameter :: nGC_1304 = 894
  integer, parameter :: nGC_1305 = 895
  integer, parameter :: nGC_1302 = 896
  integer, parameter :: nGC_256 = 897
  integer, parameter :: nGC_1168 = 898
  integer, parameter :: nGC_1169 = 899
  integer, parameter :: nGC_1160 = 900
  integer, parameter :: nGC_1166 = 901
  integer, parameter :: nGC_1167 = 902
  integer, parameter :: nGC_1164 = 903
  integer, parameter :: nGC_1165 = 904
  integer, parameter :: nGC_1114 = 905
  integer, parameter :: nGC_1113 = 906
  integer, parameter :: nGC_1112 = 907
  integer, parameter :: nGC_1110 = 908
  integer, parameter :: nGC_812 = 909
  integer, parameter :: nGC_813 = 910
  integer, parameter :: nGC_810 = 911
  integer, parameter :: nGC_811 = 912
  integer, parameter :: nGC_816 = 913
  integer, parameter :: nGC_814 = 914
  integer, parameter :: nGC_953 = 915
  integer, parameter :: nGC_952 = 916
  integer, parameter :: nGC_818 = 917
  integer, parameter :: nGC_950 = 918
  integer, parameter :: nGC_957 = 919
  integer, parameter :: nGC_956 = 920
  integer, parameter :: nGC_955 = 921
  integer, parameter :: nGC_954 = 922
  integer, parameter :: nGC_1436 = 923
  integer, parameter :: nGC_1437 = 924
  integer, parameter :: nGC_1430 = 925
  integer, parameter :: nGC_1431 = 926
  integer, parameter :: nGC_724 = 927
  integer, parameter :: nGC_725 = 928
  integer, parameter :: nGC_1184 = 929
  integer, parameter :: nGC_1185 = 930
  integer, parameter :: nGC_1029 = 931
  integer, parameter :: nGC_1028 = 932
  integer, parameter :: nGC_1180 = 933
  integer, parameter :: nGC_1182 = 934
  integer, parameter :: nGC_1183 = 935
  integer, parameter :: nGC_1020 = 936
  integer, parameter :: nGC_1027 = 937
  integer, parameter :: nGC_1026 = 938
  integer, parameter :: nGC_1025 = 939
  integer, parameter :: nGC_889 = 940
  integer, parameter :: nGC_928 = 941
  integer, parameter :: nGC_929 = 942
  integer, parameter :: nGC_926 = 943
  integer, parameter :: nGC_925 = 944
  integer, parameter :: nGC_922 = 945
  integer, parameter :: nGC_923 = 946
  integer, parameter :: nGC_920 = 947
  integer, parameter :: nGC_921 = 948
  integer, parameter :: nGC_1337 = 949
  integer, parameter :: nGC_1336 = 950
  integer, parameter :: nGC_1335 = 951
  integer, parameter :: nGC_1331 = 952
  integer, parameter :: nGC_1238 = 953
  integer, parameter :: nGC_1239 = 954
  integer, parameter :: nGC_1236 = 955
  integer, parameter :: nGC_1237 = 956
  integer, parameter :: nGC_1234 = 957
  integer, parameter :: nGC_882 = 958
  integer, parameter :: nGC_885 = 959
  integer, parameter :: nGC_884 = 960
  integer, parameter :: nGC_1339 = 961
  integer, parameter :: nGC_1231 = 962
  integer, parameter :: nGC_881 = 963
  integer, parameter :: nGC_284 = 964
  integer, parameter :: nGC_883 = 965
  integer, parameter :: nGC_1413 = 966
  integer, parameter :: nGC_1235 = 967
  integer, parameter :: nGC_1326 = 968
  integer, parameter :: nGC_1233 = 969
  integer, parameter :: nGC_864 = 970
  integer, parameter :: nGC_887 = 971
  integer, parameter :: nGC_948 = 972
  integer, parameter :: nGC_1338 = 973
  integer, parameter :: nGC_862 = 974
  integer, parameter :: nGC_1268 = 975
  integer, parameter :: nGC_1153 = 976
  integer, parameter :: nGC_1152 = 977
  integer, parameter :: nGC_1098 = 978
  integer, parameter :: nGC_1099 = 979
  integer, parameter :: nGC_1157 = 980
  integer, parameter :: nGC_1156 = 981
  integer, parameter :: nGC_1155 = 982
  integer, parameter :: nGC_1154 = 983
  integer, parameter :: nGC_1092 = 984
  integer, parameter :: nGC_1093 = 985
  integer, parameter :: nGC_1159 = 986
  integer, parameter :: nGC_1096 = 987
  integer, parameter :: nGC_718 = 988
  integer, parameter :: nGC_1095 = 989
  integer, parameter :: nGC_869 = 990
  integer, parameter :: nGC_1332 = 991
  integer, parameter :: nGC_1308 = 992
  integer, parameter :: nGC_1356 = 993
  integer, parameter :: nGC_788 = 994
  integer, parameter :: nGC_786 = 995
  integer, parameter :: nGC_1423 = 996
  integer, parameter :: nGC_784 = 997
  integer, parameter :: nGC_785 = 998
  integer, parameter :: nGC_783 = 999
  integer, parameter :: nGC_780 = 1000
  integer, parameter :: nGC_1422 = 1001
  integer, parameter :: nGC_1386 = 1002
  integer, parameter :: nGC_1387 = 1003
  integer, parameter :: nGC_1384 = 1004
  integer, parameter :: nGC_1385 = 1005
  integer, parameter :: nGC_1173 = 1006
  integer, parameter :: nGC_1383 = 1007
  integer, parameter :: nGC_1380 = 1008
  integer, parameter :: nGC_1381 = 1009
  integer, parameter :: nGC_1388 = 1010
  integer, parameter :: nGC_1389 = 1011
  integer, parameter :: nGC_1470 = 1012
  integer, parameter :: nGC_1472 = 1013
  integer, parameter :: nGC_1473 = 1014
  integer, parameter :: nGC_1475 = 1015
  integer, parameter :: nGC_1476 = 1016
  integer, parameter :: nGC_1477 = 1017
  integer, parameter :: nGC_1429 = 1018
  integer, parameter :: nGC_962 = 1019
  integer, parameter :: nGC_963 = 1020
  integer, parameter :: nGC_960 = 1021
  integer, parameter :: nGC_961 = 1022
  integer, parameter :: nGC_966 = 1023
  integer, parameter :: nGC_967 = 1024
  integer, parameter :: nGC_964 = 1025
  integer, parameter :: nGC_965 = 1026
  integer, parameter :: nGC_968 = 1027
  integer, parameter :: nGC_969 = 1028
  integer, parameter :: nGC_1273 = 1029
  integer, parameter :: nGC_1270 = 1030
  integer, parameter :: nGC_1276 = 1031
  integer, parameter :: nGC_1274 = 1032
  integer, parameter :: nGC_845 = 1033
  integer, parameter :: nGC_844 = 1034
  integer, parameter :: nGC_847 = 1035
  integer, parameter :: nGC_846 = 1036
  integer, parameter :: nGC_842 = 1037
  integer, parameter :: nGC_1379 = 1038
  integer, parameter :: nGC_1378 = 1039
  integer, parameter :: nGC_1070 = 1040
  integer, parameter :: nGC_242 = 1041
  integer, parameter :: nGC_1373 = 1042
  integer, parameter :: nGC_1372 = 1043
  integer, parameter :: nGC_1370 = 1044
  integer, parameter :: nGC_1377 = 1045
  integer, parameter :: nGC_1376 = 1046
  integer, parameter :: nGC_1375 = 1047
  integer, parameter :: nGC_1002 = 1048
  integer, parameter :: nGC_1207 = 1049
  integer, parameter :: nGC_1205 = 1050
  integer, parameter :: nGC_1201 = 1051
  integer, parameter :: nGC_1200 = 1052
  integer, parameter :: nGC_1209 = 1053
  integer, parameter :: nGC_1208 = 1054
  integer, parameter :: nGC_754 = 1055
  integer, parameter :: nGC_757 = 1056
  integer, parameter :: nGC_1448 = 1057
  integer, parameter :: nGC_713 = 1058
  integer, parameter :: nGC_959 = 1059
  integer, parameter :: nGC_927 = 1060
  integer, parameter :: nGC_1220 = 1061
  integer, parameter :: nGC_1222 = 1062
  integer, parameter :: nGC_1224 = 1063
  integer, parameter :: nGC_1229 = 1064
  integer, parameter :: nGC_803 = 1065
  integer, parameter :: nGC_805 = 1066
  integer, parameter :: nGC_807 = 1067
  integer, parameter :: nGC_1481 = 1068
  integer, parameter :: nGC_808 = 1069
  integer, parameter :: nGC_1483 = 1070
  integer, parameter :: nGC_1482 = 1071
  integer, parameter :: nGC_1401 = 1072
  integer, parameter :: nGC_1408 = 1073
  integer, parameter :: nGC_924 = 1074
  integer, parameter :: nGC_880 = 1075
  integer, parameter :: nGC_886 = 1076
  integer, parameter :: nGC_765 = 1077
  integer, parameter :: nGC_763 = 1078
  integer, parameter :: nGC_838 = 1079
  integer, parameter :: nGC_839 = 1080
  integer, parameter :: nGC_1005 = 1081
  integer, parameter :: nGC_1004 = 1082
  integer, parameter :: nGC_1007 = 1083
  integer, parameter :: nGC_1006 = 1084
  integer, parameter :: nGC_939 = 1085
  integer, parameter :: nGC_938 = 1086
  integer, parameter :: nGC_1003 = 1087
  integer, parameter :: nGC_1419 = 1088
  integer, parameter :: nGC_1417 = 1089
  integer, parameter :: nGC_937 = 1090
  integer, parameter :: nGC_936 = 1091
  integer, parameter :: nGC_931 = 1092
  integer, parameter :: nGC_930 = 1093
  integer, parameter :: nGC_1324 = 1094
  integer, parameter :: nGC_1321 = 1095
  integer, parameter :: nGC_1328 = 1096
  integer, parameter :: nGC_1246 = 1097
  integer, parameter :: nGC_717 = 1098
  integer, parameter :: nGC_716 = 1099
  integer, parameter :: nGC_719 = 1100
  integer, parameter :: nGC_909 = 1101
  integer, parameter :: nGC_900 = 1102
  integer, parameter :: nGC_904 = 1103
  integer, parameter :: nGC_905 = 1104
  integer, parameter :: nGC_1311 = 1105
  integer, parameter :: nGC_1259 = 1106
  integer, parameter :: nGC_1313 = 1107
  integer, parameter :: nGC_987 = 1108
  integer, parameter :: nGC_988 = 1109
  integer, parameter :: nGC_1254 = 1110
  integer, parameter :: nGC_1257 = 1111
  integer, parameter :: nGC_787 = 1112
  integer, parameter :: nGC_720 = 1113
  integer, parameter :: nGC_721 = 1114
  integer, parameter :: nGC_722 = 1115
  integer, parameter :: nGC_723 = 1116
  integer, parameter :: nGC_912 = 1117
  integer, parameter :: nGC_726 = 1118
  integer, parameter :: nGC_727 = 1119
  integer, parameter :: nGC_728 = 1120
  integer, parameter :: nGC_729 = 1121
  integer, parameter :: nGC_1479 = 1122
  integer, parameter :: nGC_1260 = 1123
  integer, parameter :: nGC_979 = 1124
  integer, parameter :: nGC_743 = 1125
  integer, parameter :: nGC_794 = 1126
  integer, parameter :: nGC_980 = 1127
  integer, parameter :: nGC_742 = 1128
  integer, parameter :: nGC_1179 = 1129
  integer, parameter :: nGC_739 = 1130
  integer, parameter :: nGC_981 = 1131
  integer, parameter :: nGC_1177 = 1132
  integer, parameter :: nGC_982 = 1133
  integer, parameter :: nGC_1258 = 1134
  integer, parameter :: nGC_1192 = 1135
  integer, parameter :: nGC_1001 = 1136
  integer, parameter :: nGC_1000 = 1137
  integer, parameter :: nGC_971 = 1138
  integer, parameter :: nGC_972 = 1139
  integer, parameter :: nGC_975 = 1140
  integer, parameter :: nGC_977 = 1141
  integer, parameter :: nGC_1162 = 1142
  integer, parameter :: nGC_978 = 1143
  integer, parameter :: nGC_740 = 1144
  integer, parameter :: nGC_1161 = 1145
  integer, parameter :: nGC_878 = 1146
  integer, parameter :: nGC_879 = 1147
  integer, parameter :: nGC_873 = 1148
  integer, parameter :: nGC_874 = 1149
  integer, parameter :: nGC_1414 = 1150
  integer, parameter :: nGC_876 = 1151
  integer, parameter :: nGC_877 = 1152
  integer, parameter :: nGC_1360 = 1153
  integer, parameter :: nGC_1361 = 1154
  integer, parameter :: nGC_1364 = 1155
  integer, parameter :: nGC_1365 = 1156
  integer, parameter :: nGC_947 = 1157
  integer, parameter :: nGC_942 = 1158
  integer, parameter :: nGC_1427 = 1159
  integer, parameter :: nGC_1425 = 1160
  integer, parameter :: nGC_1424 = 1161
  integer, parameter :: nGC_1421 = 1162
  integer, parameter :: nGC_1290 = 1163
  integer, parameter :: nGC_1358 = 1164
  integer, parameter :: nGC_1292 = 1165
  integer, parameter :: nGC_1197 = 1166
  integer, parameter :: nGC_1211 = 1167
  integer, parameter :: nGC_1218 = 1168
  integer, parameter :: nGC_1478 = 1169
  integer, parameter :: nGC_1485 = 1170
  integer, parameter :: nGC_1484 = 1171
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
