!******************************************************************************!
!                                                                              !
!    ctparameter22.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter22.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter22
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter22()
  if (dZbR_QED2_scheme .eq. 0) then
    dZbR_QED2 = (2d0*Ten222*coupl(nGC_1)**2d0 + Ten223*(-coupl(nGC_125)**2d0 + &
                2d0*coupl(nGC_78)**2d0) + Ten224*coupl(nGC_124)**2d0 - Ten225* &
                coupl(nGC_126)**2d0 + 2d0*Ten226*coupl(nGC_1)**2d0 + Ten227*(- &
                coupl(nGC_125)**2d0 + 2d0*coupl(nGC_78)**2d0) + Ten228*coupl(  &
                nGC_124)**2d0 + 2d0*Ten230*cMB*coupl(nGC_126)**2d0*rMB + 4d0*  &
                Ten231*coupl(nGC_1)**2d0*rMB*(-2d0*cMB + rMB) + 2d0*Ten232*rMB &
                *(cMB*coupl(nGC_125)**2d0 - 4d0*cMB*coupl(nGC_78)*coupl(nGC_82 &
                ) - coupl(nGC_125)**2d0*rMB + coupl(nGC_78)**2d0*rMB + coupl(  &
                nGC_82)**2d0*rMB) + Ten233*rMB*(2d0*cMT*coupl(nGC_124)*coupl(  &
                nGC_142) + coupl(nGC_124)**2d0*rMB + coupl(nGC_142)**2d0*rMB + &
                2d0*coupl(nGC_62)**2d0*rMB) - 2d0*Ten234*coupl(nGC_126)**2d0*  &
                rMB**2d0 + 4d0*Ten235*coupl(nGC_1)**2d0*rMB**2d0 + 2d0*Ten236* &
                rMB**2d0*(-coupl(nGC_125)**2d0 + coupl(nGC_78)**2d0 + coupl(   &
                nGC_82)**2d0) + Ten237*rMB**2d0*(coupl(nGC_124)**2d0 + coupl(  &
                nGC_142)**2d0 + 2d0*coupl(nGC_62)**2d0) - coupl(nGC_1)**2d0 -  &
                coupl(nGC_78)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbR_QED2 = cone*real(dZbR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter22
end module ctparameter22
