!******************************************************************************!
!                                                                              !
!    ctparameter48.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter48.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter48
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter48()
  dZH_QED2 = (-4d0*Nc*Ten33*coupl(nGC_149)**2d0 - 4d0*Nc*Ten35*coupl(nGC_149)**&
             2d0 - 4d0*Nc*Ten36*coupl(nGC_128)**2d0 - 4d0*Nc*Ten38*coupl(      &
             nGC_128)**2d0 - 4d0*Nc*Ten39*coupl(nGC_143)**2d0 - 4d0*Nc*Ten41*  &
             coupl(nGC_143)**2d0 - 4d0*Nc*Ten42*coupl(nGC_132)**2d0 - 4d0*Nc*  &
             Ten44*coupl(nGC_132)**2d0 - 4d0*Nc*Ten45*coupl(nGC_141)**2d0 - 4d0&
             *Nc*Ten47*coupl(nGC_141)**2d0 - 4d0*Nc*Ten48*coupl(nGC_126)**2d0  &
              - 4d0*Nc*Ten50*coupl(nGC_126)**2d0 - 4d0*Nc*Ten56*cMU**2d0*coupl(&
             nGC_149)**2d0 - 4d0*Nc*Ten57*cMC**2d0*coupl(nGC_128)**2d0 - 4d0*Nc&
             *Ten58*cMT**2d0*coupl(nGC_143)**2d0 - 4d0*Nc*Ten59*cMD**2d0*coupl(&
             nGC_132)**2d0 - 4d0*Nc*Ten60*cMS**2d0*coupl(nGC_141)**2d0 - 4d0*Nc&
             *Ten61*cMB**2d0*coupl(nGC_126)**2d0 - 4d0*Nc*Ten72*coupl(nGC_149  &
             )**2d0*rMH**2d0 - 16d0*Nc*Ten73*coupl(nGC_149)**2d0 - 4d0*Nc*Ten74&
             *coupl(nGC_149)**2d0*rMH**2d0 - 4d0*Nc*Ten75*coupl(nGC_128)**2d0* &
             rMH**2d0 - 16d0*Nc*Ten76*coupl(nGC_128)**2d0 - 4d0*Nc*Ten77*coupl(&
             nGC_128)**2d0*rMH**2d0 - 4d0*Nc*Ten78*coupl(nGC_143)**2d0*rMH**2d0&
              - 16d0*Nc*Ten79*coupl(nGC_143)**2d0 - 4d0*Nc*Ten80*coupl(nGC_143 &
             )**2d0*rMH**2d0 - 4d0*Nc*Ten81*coupl(nGC_132)**2d0*rMH**2d0 - 16d0&
             *Nc*Ten82*coupl(nGC_132)**2d0 - 4d0*Nc*Ten83*coupl(nGC_132)**2d0* &
             rMH**2d0 - 4d0*Nc*Ten84*coupl(nGC_141)**2d0*rMH**2d0 - 16d0*Nc*   &
             Ten85*coupl(nGC_141)**2d0 - 4d0*Nc*Ten86*coupl(nGC_141)**2d0*rMH**&
             2d0 - 4d0*Nc*Ten87*coupl(nGC_126)**2d0*rMH**2d0 - 16d0*Nc*Ten88*  &
             coupl(nGC_126)**2d0 - 4d0*Nc*Ten89*coupl(nGC_126)**2d0*rMH**2d0 - &
             2d0*Nc*coupl(nGC_126)**2d0/3d0 - 2d0*Nc*coupl(nGC_128)**2d0/3d0 - &
             2d0*Nc*coupl(nGC_132)**2d0/3d0 - 2d0*Nc*coupl(nGC_141)**2d0/3d0 - &
             2d0*Nc*coupl(nGC_143)**2d0/3d0 - 2d0*Nc*coupl(nGC_149)**2d0/3d0 + &
             4d0*Ten12*coupl(nGC_81)**2d0 + 8d0*Ten13*coupl(nGC_59)*coupl(     &
             nGC_60) - 4d0*Ten24*coupl(nGC_135)**2d0 - 4d0*Ten26*coupl(nGC_135 &
             )**2d0 - 4d0*Ten27*coupl(nGC_138)**2d0 - 4d0*Ten29*coupl(nGC_138  &
             )**2d0 - 4d0*Ten30*coupl(nGC_147)**2d0 - 4d0*Ten32*coupl(nGC_147  &
             )**2d0 + Ten51*(coupl(nGC_116)**2d0 - 2d0*coupl(nGC_122)**2d0 +   &
             4d0*coupl(nGC_123)**2d0 + 8d0*coupl(nGC_81)**2d0*rMH**2d0)/2d0 +  &
             Ten52*(-2d0*coupl(nGC_106)**2d0 + 4d0*coupl(nGC_107)**2d0 + coupl(&
             nGC_115)**2d0 + 8d0*coupl(nGC_59)*coupl(nGC_60)*rMH**2d0) - 4d0*  &
             Ten53*cME**2d0*coupl(nGC_135)**2d0 - 4d0*Ten54*cMM**2d0*coupl(    &
             nGC_138)**2d0 - 4d0*Ten55*cMTA**2d0*coupl(nGC_147)**2d0 + Ten62*  &
             coupl(nGC_102)**2d0/2d0 - 4d0*Ten63*coupl(nGC_135)**2d0*rMH**2d0  &
              - 16d0*Ten64*coupl(nGC_135)**2d0 - 4d0*Ten65*coupl(nGC_135)**2d0*&
             rMH**2d0 - 4d0*Ten66*coupl(nGC_138)**2d0*rMH**2d0 - 16d0*Ten67*   &
             coupl(nGC_138)**2d0 - 4d0*Ten68*coupl(nGC_138)**2d0*rMH**2d0 - 4d0&
             *Ten69*coupl(nGC_147)**2d0*rMH**2d0 - 16d0*Ten70*coupl(nGC_147)** &
             2d0 - 4d0*Ten71*coupl(nGC_147)**2d0*rMH**2d0 - 2d0*coupl(nGC_135  &
             )**2d0/3d0 - 2d0*coupl(nGC_138)**2d0/3d0 - 2d0*coupl(nGC_147)**2d0&
             /3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZH_QED2 = cone*real(dZH_QED2,kind=dp)
    end if 
end subroutine set_ctparameter48
end module ctparameter48
