!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  dZAZ_QED2 = (4d0*Nc*Ten103*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_79) -  &
              cMZ**2d0*coupl(nGC_83) + coupl(nGC_79)*rMZ**2d0 + coupl(nGC_83)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten104*cMC**2d0*coupl(    &
              nGC_2)*(-cMZ**2d0*coupl(nGC_79) - cMZ**2d0*coupl(nGC_83) + coupl(&
              nGC_79)*rMZ**2d0 + coupl(nGC_83)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten105*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_79) -   &
              cMZ**2d0*coupl(nGC_83) + coupl(nGC_79)*rMZ**2d0 + coupl(nGC_83)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten106*cMD**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_78) - cMZ**2d0*coupl(nGC_82) + coupl(&
              nGC_78)*rMZ**2d0 + coupl(nGC_82)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten107*cMS**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_78) -   &
              cMZ**2d0*coupl(nGC_82) + coupl(nGC_78)*rMZ**2d0 + coupl(nGC_82)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten108*cMB**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_78) - cMZ**2d0*coupl(nGC_82) + coupl(&
              nGC_78)*rMZ**2d0 + coupl(nGC_82)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              8d0*Nc*Ten109*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_79) + cMZ**2d0*   &
              coupl(nGC_83) - coupl(nGC_79)*rMZ**2d0 - coupl(nGC_83)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten110*coupl(nGC_2)*(cMZ**2d0*    &
              coupl(nGC_79) + cMZ**2d0*coupl(nGC_83) - coupl(nGC_79)*rMZ**2d0  &
               - coupl(nGC_83)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten111*  &
              coupl(nGC_2)*(cMZ**2d0*coupl(nGC_79) + cMZ**2d0*coupl(nGC_83) -  &
              coupl(nGC_79)*rMZ**2d0 - coupl(nGC_83)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten112*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_78) + cMZ**&
              2d0*coupl(nGC_82) - coupl(nGC_78)*rMZ**2d0 - coupl(nGC_82)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten113*coupl(nGC_1)*(cMZ**2d0* &
              coupl(nGC_78) + cMZ**2d0*coupl(nGC_82) - coupl(nGC_78)*rMZ**2d0  &
               - coupl(nGC_82)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten114*  &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_78) + cMZ**2d0*coupl(nGC_82) -  &
              coupl(nGC_78)*rMZ**2d0 - coupl(nGC_82)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten383*cMU**2d0*coupl(nGC_2)*(coupl(nGC_79) + coupl&
              (nGC_83))/rMZ**2d0 + 4d0*Nc*Ten384*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_79) + coupl(nGC_83))/rMZ**2d0 + 4d0*Nc*Ten385*cMT**2d0*coupl(&
              nGC_2)*(coupl(nGC_79) + coupl(nGC_83))/rMZ**2d0 + 4d0*Nc*Ten386* &
              cMD**2d0*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82))/rMZ**2d0 + &
              4d0*Nc*Ten387*cMS**2d0*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82&
              ))/rMZ**2d0 + 4d0*Nc*Ten388*cMB**2d0*coupl(nGC_1)*(coupl(nGC_78  &
              ) + coupl(nGC_82))/rMZ**2d0 - 8d0*Nc*Ten399*coupl(nGC_2)*(coupl( &
              nGC_79) + coupl(nGC_83))/rMZ**2d0 - 8d0*Nc*Ten400*coupl(nGC_2)*( &
              coupl(nGC_79) + coupl(nGC_83))/rMZ**2d0 - 8d0*Nc*Ten401*coupl(   &
              nGC_2)*(coupl(nGC_79) + coupl(nGC_83))/rMZ**2d0 - 4d0*Nc*Ten402* &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 4d0*Nc*Ten403*    &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 4d0*Nc*Ten404*    &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 4d0*Nc*Ten405*    &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 4d0*Nc*Ten406*    &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 4d0*Nc*Ten407*    &
              coupl(nGC_2)*(coupl(nGC_79) + coupl(nGC_83)) - 8d0*Nc*Ten408*    &
              coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82))/rMZ**2d0 - 8d0*Nc*  &
              Ten409*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82))/rMZ**2d0 -   &
              8d0*Nc*Ten410*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82))/rMZ** &
              2d0 - 4d0*Nc*Ten411*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82   &
              )) - 4d0*Nc*Ten412*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82    &
              )) - 4d0*Nc*Ten413*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82    &
              )) - 4d0*Nc*Ten414*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82    &
              )) - 4d0*Nc*Ten415*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82    &
              )) - 4d0*Nc*Ten416*coupl(nGC_1)*(coupl(nGC_78) + coupl(nGC_82    &
              )) + 2d0*cima*Ten2*(-2d0*coupl(nGC_76) - 4d0*coupl(nGC_77) +     &
              coupl(nGC_90))/cMZ**2d0 + 2d0*Ten353*(16d0*cMZ**2d0*coupl(nGC_3)*&
              coupl(nGC_64) + 4d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_85) - cMZ**  &
              2d0*coupl(nGC_5)*coupl(nGC_66) - cMZ**2d0*coupl(nGC_6)*coupl(    &
              nGC_65) - 16d0*coupl(nGC_3)*coupl(nGC_64)*rMZ**2d0 - 4d0*coupl(  &
              nGC_4)*coupl(nGC_85)*rMZ**2d0 + coupl(nGC_5)*coupl(nGC_66)*rMZ** &
              2d0 + coupl(nGC_6)*coupl(nGC_65)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Ten360*cME**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_80) - cMZ**&
              2d0*coupl(nGC_85) + coupl(nGC_80)*rMZ**2d0 + coupl(nGC_85)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten361*cMM**2d0*coupl(nGC_4)*(-cMZ&
              **2d0*coupl(nGC_80) - cMZ**2d0*coupl(nGC_85) + coupl(nGC_80)*rMZ &
              **2d0 + coupl(nGC_85)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten362*&
              cMTA**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_80) - cMZ**2d0*coupl(&
              nGC_85) + coupl(nGC_80)*rMZ**2d0 + coupl(nGC_85)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) + 8d0*Ten363*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_80   &
              ) + cMZ**2d0*coupl(nGC_85) - coupl(nGC_80)*rMZ**2d0 - coupl(     &
              nGC_85)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten364*coupl(nGC_4)*(&
              cMZ**2d0*coupl(nGC_80) + cMZ**2d0*coupl(nGC_85) - coupl(nGC_80)* &
              rMZ**2d0 - coupl(nGC_85)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*    &
              Ten365*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_80) + cMZ**2d0*coupl(    &
              nGC_85) - coupl(nGC_80)*rMZ**2d0 - coupl(nGC_85)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) - 16d0*Ten379*coupl(nGC_3)*coupl(nGC_64) + 4d0*    &
              Ten380*cME**2d0*coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85))/rMZ &
              **2d0 + 4d0*Ten381*cMM**2d0*coupl(nGC_4)*(coupl(nGC_80) + coupl( &
              nGC_85))/rMZ**2d0 + 4d0*Ten382*cMTA**2d0*coupl(nGC_4)*(coupl(    &
              nGC_80) + coupl(nGC_85))/rMZ**2d0 + 2d0*Ten389*(-16d0*coupl(nGC_3&
              )*coupl(nGC_64) - 4d0*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_5)* &
              coupl(nGC_66) + coupl(nGC_6)*coupl(nGC_65))/rMZ**2d0 - 8d0*Ten390&
              *coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85))/rMZ**2d0 - 8d0*    &
              Ten391*coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85))/rMZ**2d0 -   &
              8d0*Ten392*coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85))/rMZ**2d0 &
               - 4d0*Ten393*coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85)) - 4d0*&
              Ten394*coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85)) - 4d0*Ten395*&
              coupl(nGC_4)*(coupl(nGC_80) + coupl(nGC_85)) - 4d0*Ten396*coupl( &
              nGC_4)*(coupl(nGC_80) + coupl(nGC_85)) - 4d0*Ten397*coupl(nGC_4  &
              )*(coupl(nGC_80) + coupl(nGC_85)) - 4d0*Ten398*coupl(nGC_4)*(    &
              coupl(nGC_80) + coupl(nGC_85)) + 2d0*(6d0*Nc*cMB**2d0*coupl(nGC_1&
              )*coupl(nGC_78) + 6d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_82) +   &
              6d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_79) + 6d0*Nc*cMC**2d0*    &
              coupl(nGC_2)*coupl(nGC_83) + 6d0*Nc*cMD**2d0*coupl(nGC_1)*coupl( &
              nGC_78) + 6d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_82) + 6d0*Nc*cMS&
              **2d0*coupl(nGC_1)*coupl(nGC_78) + 6d0*Nc*cMS**2d0*coupl(nGC_1)* &
              coupl(nGC_82) + 6d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_79) + 6d0*&
              Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_83) + 6d0*Nc*cMU**2d0*coupl(  &
              nGC_2)*coupl(nGC_79) + 6d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_83 &
              ) - 3d0*Nc*cMZ**2d0*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*cMZ**2d0*&
              coupl(nGC_1)*coupl(nGC_82) - 3d0*Nc*cMZ**2d0*coupl(nGC_2)*coupl( &
              nGC_79) - 3d0*Nc*cMZ**2d0*coupl(nGC_2)*coupl(nGC_83) + 6d0*cME** &
              2d0*coupl(nGC_4)*coupl(nGC_80) + 6d0*cME**2d0*coupl(nGC_4)*coupl(&
              nGC_85) + 6d0*cMM**2d0*coupl(nGC_4)*coupl(nGC_80) + 6d0*cMM**2d0*&
              coupl(nGC_4)*coupl(nGC_85) + 6d0*cMTA**2d0*coupl(nGC_4)*coupl(   &
              nGC_80) + 6d0*cMTA**2d0*coupl(nGC_4)*coupl(nGC_85) + 12d0*cMW**  &
              2d0*coupl(nGC_3)*coupl(nGC_64) + 6d0*cima*cMW**2d0*coupl(nGC_77  &
              ) - 2d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_64) - 3d0*cMZ**2d0*coupl(&
              nGC_4)*coupl(nGC_80) - 3d0*cMZ**2d0*coupl(nGC_4)*coupl(nGC_85))/(&
              3d0*cMZ**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter52
end module ctparameter52
