!******************************************************************************!
!                                                                              !
!    ctparameter85.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter85.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter85
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter85()
  if (dZuL_QED2_scheme .eq. 0) then
    dZuL_QED2 = (2d0*Ten132*coupl(nGC_2)**2d0 + Ten133*(-coupl(nGC_150)**2d0 + &
                2d0*coupl(nGC_83)**2d0) + Ten134*(coupl(nGC_130)**2d0 + 2d0*   &
                coupl(nGC_62)**2d0) - Ten135*coupl(nGC_149)**2d0 + 2d0*Ten136* &
                coupl(nGC_2)**2d0 + Ten137*(-coupl(nGC_150)**2d0 + 2d0*coupl(  &
                nGC_83)**2d0) + Ten138*(coupl(nGC_130)**2d0 + 2d0*coupl(nGC_62 &
                )**2d0) + 2d0*Ten140*cMU**2d0*coupl(nGC_149)**2d0 - 4d0*Ten141*&
                cMU**2d0*coupl(nGC_2)**2d0 + 2d0*Ten142*cMU**2d0*(coupl(nGC_79 &
                )**2d0 - 4d0*coupl(nGC_79)*coupl(nGC_83) + coupl(nGC_83)**2d0  &
                ) + Ten143*cMU*(2d0*cMD*coupl(nGC_130)*coupl(nGC_148) + cMU*   &
                coupl(nGC_130)**2d0 + cMU*coupl(nGC_148)**2d0 + 2d0*cMU*coupl( &
                nGC_62)**2d0) - 2d0*Ten144*cMU**2d0*coupl(nGC_149)**2d0 + 4d0* &
                Ten145*cMU**2d0*coupl(nGC_2)**2d0 + 2d0*Ten146*cMU**2d0*(-coupl&
                (nGC_150)**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_83)**2d0) +    &
                Ten147*cMU**2d0*(coupl(nGC_130)**2d0 + coupl(nGC_148)**2d0 +   &
                2d0*coupl(nGC_62)**2d0) - coupl(nGC_2)**2d0 - coupl(nGC_62)**  &
                2d0 - coupl(nGC_83)**2d0)/(16d0*pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter85
end module ctparameter85
